#pragma once

#include "ofMain.h"
#include "attractor.h"

class thParticle
{

public:

	thParticle();
	~thParticle();

	void setup(ofVec2f position);

	void update(float deltaT, vector<Attractor*>* attractors);
	//    void update(float deltaT, ofVec2f attractor);
											//Partikel wird komplett upgedated (Bewegung, Farbe, etc...)
											//deltaT Zeitintervall seit letztem Update
	void draw();                        //Partikel anzeigen

	float getAgeNorm();
	float getMaxLife();
	ofImage tex;

private:

	int counterOfActiveAttractors;

	ofVec2f vel;
	ofVec2f position;

	float maxLife;
	float age;

	float size;
	float mass;

	int blobCounterInParticle;

	ofColor color;

};
